Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.util.normalize.target
Class NormalizationStorageEncogCollection

    java.lang.Object
      org.encog.util.normalize.target.NormalizationStorageEncogCollection

All Implemented Interfaces:
  Serializable, NormalizationStorage

    public class NormalizationStorageEncogCollection

extends Object
implements NormalizationStorage

See Also:
  Serialized Form

Constructor Summary
`NormalizationStorageEncogCollection()`

Method Summary
`void` | `close()` Open the storage.
`String` | `getResourceName()`
`void` | `open(DataNormalization norm)` Close the storage.
`void` | `setResourceName(String resourceName)`
`void` | `write(double[] data, int inputCount)` Write an array.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NormalizationStorageEncogCollection

    public NormalizationStorageEncogCollection()

Method Detail

### close

    public void close()

  Description copied from interface: `NormalizationStorage`
  Open the storage.

  Specified by:
    `close` in interface `NormalizationStorage`

### open

    public void open(DataNormalization norm)

  Description copied from interface: `NormalizationStorage`
  Close the storage.

  Specified by:
    `open` in interface `NormalizationStorage`

### write

    public void write(double[] data,
                      int inputCount)

  Description copied from interface: `NormalizationStorage`
  Write an array.

  Specified by:
    `write` in interface `NormalizationStorage`
  Parameters:
    `data` - The data to write.
    `inputCount` - How much of the data is input.

### getResourceName

    public String getResourceName()

  Returns:
    the resourceName

### setResourceName

    public void setResourceName(String resourceName)

  Parameters:
    `resourceName` - the resourceName to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.